hadoop-general mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Eli Collins <...@cloudera.com>
Subject Re: Cloudera CDH3 install on Ubuntu 10.04 (lucid)
Date Fri, 12 Nov 2010 22:04:29 GMT
Hey Peter,

Moving this thread to the CDH user mailing list (BCC general@).

This step is covered in the JDK installation page which is linked to
in the red "Important" section at the top of the installation page you
were looking at.

https://docs.cloudera.com/display/DOC/Java+Development+Kit+Installation

Thanks,
Eli


On Fri, Nov 12, 2010 at 11:06 AM, Peter Minearo
<Peter.Minearo@reardencommerce.com> wrote:
> Not sure who or where to send this to, but this is for the Cloudera distribution of Hadoop:
>
> I just tried to install CDH3 on my Ubuntu machine
>
>> more /etc/lsb-release
> DISTRIB_ID=Ubuntu
> DISTRIB_RELEASE=10.04
> DISTRIB_CODENAME=lucid
> DISTRIB_DESCRIPTION="Ubuntu 10.04.1 LTS"
>
> I got the following error:
>> sudo apt-get install hadoop-0.20
> Reading package lists... Done
> Building dependency tree
> Reading state information... Done
> Some packages could not be installed. This may mean that you have
> requested an impossible situation or if you are using the unstable
> distribution that some required packages have not yet been created
> or been moved out of Incoming.
> The following information may help to resolve the situation:
>
> The following packages have unmet dependencies:
>  hadoop-0.20: Depends: sun-java6-jre but it is not installable
>               Depends: sun-java6-bin but it is not installable
> E: Broken packages
>
> I have Jave 1.6 installed:
>> java -version
> java version "1.6.0_22"
> Java(TM) SE Runtime Environment (build 1.6.0_22-b04)
> Java HotSpot(TM) 64-Bit Server VM (build 17.1-b03, mixed mode)
>
> What I found was, in order to get the install to work properly; you have to do an extra
step.   In Step #4 on https://docs.cloudera.com/display/DOC/Hadoop+Installation+%28CDH3%29
 there is:
>
>> apt-cache search hadoop
>> sudo apt-get install hadoop-0.20
>
> Between these 2 commands there are 2 other commands that are needed:
>> echo "deb http://archive.canonical.com/ lucid partner" | sudo tee /etc/apt/sources.list.d/partner.list
>> apt-get update
>
> So, until Cloudera fixes the install (or documentation) in order to install the CDH3
on Ubuntu 10.04 (lucid) the steps should look like:
>
>> apt-cache search hadoop
>> echo "deb http://archive.canonical.com/ lucid partner" | sudo tee /etc/apt/sources.list.d/partner.list
>> apt-get update
>> sudo apt-get install hadoop-0.20
>
> Does anyone know, if this is being looked at?
>
> Thanks,
>
> Peter
>
>
>

Mime
View raw message